import { MatrixClient } from "matrix-js-sdk/src/matrix";
import { GenericEchoChamber } from "./GenericEchoChamber";
import { RoomNotifState } from "../../RoomNotifs";
import { RoomEchoContext } from "./RoomEchoContext";
export declare enum CachedRoomKey {
    NotificationVolume = 0
}
export declare class RoomEchoChamber extends GenericEchoChamber<RoomEchoContext, CachedRoomKey, RoomNotifState | undefined> {
    private properties;
    constructor(context: RoomEchoContext);
    protected onClientChanged(oldClient: MatrixClient | null, newClient: MatrixClient | null): void;
    private onAccountData;
    private updateNotificationVolume;
    get notificationVolume(): RoomNotifState | undefined;
    set notificationVolume(v: RoomNotifState | undefined);
}
